Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229318 - restorecon can't write to pipe of crond_t
Summary: restorecon can't write to pipe of crond_t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: selinux-policy
Version: 5.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Daniel Walsh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-20 09:06 UTC by David Juran
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007-0544
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-07 16:38:27 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2007:0544 normal SHIPPED_LIVE selinux-policy bug fix update 2007-11-08 14:16:49 UTC

Description David Juran 2007-02-20 09:06:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.0.9) Gecko/20070118 Red Hat/1.5.0.9-10.el5 Firefox/1.5.0.9 pango-text

Description of problem:
Last night I got the following avc denial: 

Target Context:  system_u:system_r:crond_t:SystemLow-SystemHighTarget Objects:  pipe:[1471624] [ fifo_file ]
Affected RPM Packages:  policycoreutils-1.33.12-3.el5 [application]
Policy RPM:  selinux-policy-2.4.6-30.el5
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.catchallHost Name:  trdhcp106124.ntc.nokia.com
Platform:  Linux trdhcp106124.ntc.nokia.com 2.6.18-8.el5 #1 SMP Fri Jan 26 14:15:21 EST 2007 i686 i686
Alert Count:  1
Line Numbers:   
Raw Audit Messages :avc: denied { write } for comm="restorecon" dev=pipefs egid=0 euid=0 exe="/sbin/restorecon" exit=0 fsgid=0 fsuid=0 gid=0 items=0 name="[1471625]" path="pipe:[1471624]" pid=11272 scontext=user_u:system_r:restorecon_t:s0 sgid=0 subj=user_u:system_r:restorecon_t:s0 suid=0 tclass=fifo_file tcontext=system_u:system_r:crond_t:s0-s0:c0.c1023 tty=(none) uid=0 

Version-Release number of selected component (if applicable):
selinux-policy-2.4.6-30.el5

How reproducible:
Didn't try


Steps to Reproduce:
1. restorecond maybe?

Actual Results:


Expected Results:


Additional info:

Comment 1 Daniel Walsh 2007-02-21 15:36:27 UTC
Any idea what script is running restorecon?

Comment 2 Daniel Walsh 2007-03-01 22:22:26 UTC
Fixed in selinux-policy-2.4.6-42

Comment 3 RHEL Product and Program Management 2007-03-21 21:58:31 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 8 errata-xmlrpc 2007-11-07 16:38:27 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0544.html



Note You need to log in before you can comment on or make changes to this bug.